"use strict";Object.defineProperty(exports, "__esModule", {value: true});var __defProp=Object.defineProperty;var __name=(target,value)=>__defProp(target,"name",{value,configurable:true});function _global(){if(typeof self!=="undefined")return self;if(typeof window!=="undefined")return window;if(typeof global!=="undefined")return global;if(typeof globalThis!=="undefined")return globalThis;throw new Error("unable to locate global object")}__name(_global,"_global");function getGlobalContext(){let gcontext=_global();if(gcontext._zeedGlobal==null){gcontext._zeedGlobal={}}return gcontext._zeedGlobal}__name(getGlobalContext,"getGlobalContext");var isObject=__name(obj=>obj&&typeof obj==="object","isObject");var isPrimitive=__name(obj=>Object(obj)!==obj,"isPrimitive");function deepEqual(a,b,hash=new WeakSet){if(a===b){return true}if(hash.has(b)){return true}if(!isPrimitive(b)){hash.add(b)}if(!(a instanceof Object)||!(b instanceof Object)){return false}if(a.constructor!==b.constructor){return false}if(a.length!==b.length){return false}for(let p in a){if(!a.hasOwnProperty(p)){continue}if(!b.hasOwnProperty(p)){return false}let aa=a[p];let bb=b[p];if(!deepEqual(aa,bb,hash)){return false}}for(let p in b){if(b.hasOwnProperty(p)&&!a.hasOwnProperty(p)){return false}}return true}__name(deepEqual,"deepEqual");function deepMerge(target,...sources){for(let source of sources){if(!isObject(target)){target={}}if(source==null)continue;Object.keys(source).forEach(key=>{const targetValue=target[key];const sourceValue=source[key];if(Array.isArray(targetValue)&&Array.isArray(sourceValue)){target[key]=targetValue.concat(sourceValue)}else if(isObject(targetValue)&&isObject(sourceValue)){target[key]=deepMerge(Object.assign({},targetValue),sourceValue)}else{target[key]=sourceValue}})}return target}__name(deepMerge,"deepMerge");function useNamespaceFilter(filter){let fn;let reject=[];let accept=[];if(!filter){fn=__name(function(name){return false},"fn")}else if(filter==="*"){fn=__name(function(name){return true},"fn")}else{let i;const split=filter.split(/[\s,]+/);const len=split.length;for(i=0;i<len;i++){if(!split[i]){continue}let template=split[i].replace(/\*/g,".*?");if(template[0]==="-"){reject.push(new RegExp("^"+template.substr(1)+"$"))}else{accept.push(new RegExp("^"+template+"$"))}}fn=__name(function(name){if(reject.length===0&&accept.length===0){return true}let i2,len2;for(i2=0,len2=reject.length;i2<len2;i2++){if(reject[i2].test(name)){return false}}for(i2=0,len2=accept.length;i2<len2;i2++){if(accept[i2].test(name)){return true}}return false},"fn")}fn.accept=accept;fn.reject=reject;fn.filter=filter;return fn}__name(useNamespaceFilter,"useNamespaceFilter");var LogLevel;(function(LogLevel2){LogLevel2[LogLevel2["all"]=-1]="all";LogLevel2[LogLevel2["debug"]=0]="debug";LogLevel2[LogLevel2["info"]=1]="info";LogLevel2[LogLevel2["warn"]=2]="warn";LogLevel2[LogLevel2["error"]=3]="error";LogLevel2[LogLevel2["fatal"]=4]="fatal";LogLevel2[LogLevel2["off"]=Infinity]="off"})(LogLevel||(LogLevel= exports.LogLevel ={}));function LoggerContext(prefix=""){let logHandlers=[LoggerConsoleHandler()];let logAssertLevel=2;let logCheckNamespace=__name(name=>true,"logCheckNamespace");let logLock=false;let logFactory=LoggerBaseFactory;function LoggerBaseFactory(name=""){log.extend=function(prefix2){return logFactory(name?`${name}:${prefix2}`:prefix2)};const emit=__name(msg=>{if(log.active===true){if(msg.level>=Logger2.level&&msg.level>=log.level){if(logCheckNamespace(name)){for(let handler of logHandlers){if(handler)handler(msg)}}}}},"emit");function log(...messages){emit({name,messages,level:0})}__name(log,"log");log.active=true;log.level=-1;log.debug=function(...messages){emit({name,messages,level:0})};log.info=function(...messages){emit({name,messages,level:1})};log.warn=function(...messages){emit({name,messages,level:2})};log.error=function(...messages){emit({name,messages,level:3})};log.assert=function(cond,...messages){if(!cond){if(typeof console!==void 0){if(console.assert){console.assert(cond,...messages)}else{console.error(`Assert did fail with: ${cond}`,...messages)}}emit({name,messages:messages||[`Assert did fail with: ${cond}`],level:logAssertLevel})}};log.assertEqual=function(value,expected,...args){let equal=deepEqual(value,expected);if(!equal){log.assert(equal,`Assert did fail. Expected ${expected} got ${value}`,expected,value,...args)}};log.assertNotEqual=function(value,expected,...args){let equal=deepEqual(value,expected);if(equal){log.assert(equal,`Assert did fail. Expected ${expected} not to be equal with ${value}`,expected,value,...args)}};return log}__name(LoggerBaseFactory,"LoggerBaseFactory");function Logger2(name=""){return logFactory(name)}__name(Logger2,"Logger");Logger2.registerHandler=function(handler){logHandlers.push(handler)};Logger2.setFilter=function(namespaces){logCheckNamespace=useNamespaceFilter(namespaces)};Logger2.setLock=(lock=true)=>logLock=lock;Logger2.setHandlers=function(handlers=[]){if(logLock)return;logHandlers=[...handlers].filter(h=>typeof h==="function")};Logger2.level=-1;Logger2.setLogLevel=function(level=-1){if(logLock)return;Logger2.level=level};Logger2.setFactory=function(factory){if(logLock)return;logFactory=factory};return Logger2}__name(LoggerContext,"LoggerContext");var globalLogger;try{let _global2=getGlobalContext();if(_global2!=null){if((_global2==null?void 0:_global2.logger)==null){globalLogger=LoggerContext();_global2.logger=globalLogger}else{globalLogger=_global2.logger}}else{globalLogger=LoggerContext()}}catch(e){globalLogger=LoggerContext()}var GlobalLogger=globalLogger;var Logger=globalLogger;function LoggerConsoleHandler(opt={}){const{level=LogLevel.all,colors=true,levelHelper=false,nameBrackets=true,padding=16,filter=void 0}=opt;return msg=>{if(msg.level<level)return;let name=msg.name?`[${msg.name}]`:"";switch(msg.level){case LogLevel.info:console.info(`I|*   ${name}`,...msg.messages);break;case LogLevel.warn:console.warn(`W|**  ${name}`,...msg.messages);break;case LogLevel.error:console.error(`E|*** ${name}`,...msg.messages);break;default:console.debug(`D|    ${name}`,...msg.messages);break}}}__name(LoggerConsoleHandler,"LoggerConsoleHandler");var getTimestamp=__name(()=>typeof performance!=="undefined"?performance.now():new Date().getTime(),"getTimestamp");function formatMilliseconds(ms){return ms>999?(ms/1e3).toFixed(1)+"s":ms.toFixed(2)+"ms"}__name(formatMilliseconds,"formatMilliseconds");exports.__name = __name; exports.getGlobalContext = getGlobalContext; exports.isObject = isObject; exports.isPrimitive = isPrimitive; exports.deepEqual = deepEqual; exports.deepMerge = deepMerge; exports.LoggerConsoleHandler = LoggerConsoleHandler; exports.useNamespaceFilter = useNamespaceFilter; exports.LogLevel = LogLevel; exports.LoggerContext = LoggerContext; exports.GlobalLogger = GlobalLogger; exports.Logger = Logger; exports.getTimestamp = getTimestamp; exports.formatMilliseconds = formatMilliseconds;
//# sourceMappingURL=chunk-EPWPA3MB.cjs.map
